View Issue Details

IDCategoryLast Update
0003452other2010-12-11 20:55
ReporterlincolnAssigned To 
Reproducibilityalways 
Status acknowledgedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003452: [PATCH] Transport record button is sluggish
DescriptionI have noticed that there is a significant lag when engaging record on the transport before a track starts recording. On the otherhand if you start a recording by engaging the record-arm button on a trank (with transport having record engaged), the system is far more responsive.
TagsNo tags attached.

Activities

paul

2010-09-15 14:44

administrator   ~0009055

do you have any ogg files present in the session?

i've seen similar behaviour in sessions where i had ogg embedded in the session. but this may be something different .. how long would you estimate the lag is?

lincoln

2010-09-15 15:06

reporter   ~0009060

No ogg files are present in the session. It is a bit hard to estimate, but you can certainly see it happening. You click but recording starts a bit later.

paul

2010-09-15 19:47

administrator   ~0009064

i'm not seeing this. might be worth attaching the .ardour file, especially if you can make it happen on a new(ish) session.

2010-09-15 23:24

 

test_a3_55.ardour (135,823 bytes)

2010-09-18 18:18

 

slow-rec-engage.patch (514 bytes)
Index: libs/ardour/session.cc
===================================================================
--- libs/ardour/session.cc	(revision 7797)
+++ libs/ardour/session.cc	(working copy)
@@ -1095,12 +1095,6 @@
 
 	g_atomic_int_set (&_record_status, Enabled);
 
-	/* this function is currently called from somewhere other than an RT thread.
-	   this save_state() call therefore doesn't impact anything.
-	*/
-
-	save_state ("", true);
-
 	if (_transport_speed) {
 		if (!config.get_punch_in()) {
 			enable_record ();
slow-rec-engage.patch (514 bytes)

lincoln

2010-09-18 18:19

reporter   ~0009091

Added a patch to address this. I think we had done something similar in A2. Session state is being taken on record engage and this is pretty slow if you have a session with many regions.

cth103

2010-09-21 14:29

administrator   ~0009125

Patch applied to SVN. Thanks!

cth103

2010-09-21 15:02

administrator   ~0009126

Reverting the patch. Paul pointed out that without this save, there is no chance of recovering from a crash during record as there is no note of the sources that were used for that record. There is probably a quicker way to do this than saving the whole session, though.

Issue History

Date Modified Username Field Change
2010-09-15 12:00 lincoln New Issue
2010-09-15 14:44 paul Note Added: 0009055
2010-09-15 14:44 paul Status new => feedback
2010-09-15 15:06 lincoln Note Added: 0009060
2010-09-15 19:47 paul Note Added: 0009064
2010-09-15 23:24 lincoln File Added: test_a3_55.ardour
2010-09-18 18:18 lincoln File Added: slow-rec-engage.patch
2010-09-18 18:19 lincoln Note Added: 0009091
2010-09-20 21:12 cth103 cost => 0.00
2010-09-20 21:12 cth103 Status feedback => acknowledged
2010-09-20 21:12 cth103 Target Version => 3.0-beta1
2010-09-20 21:12 cth103 Summary Transport record button is sluggish => [PATCH] Transport record button is sluggish
2010-09-21 14:29 cth103 Note Added: 0009125
2010-09-21 14:29 cth103 Status acknowledged => resolved
2010-09-21 14:29 cth103 Resolution open => fixed
2010-09-21 14:29 cth103 Assigned To => cth103
2010-09-21 15:02 cth103 Note Added: 0009126
2010-09-21 15:02 cth103 Status resolved => acknowledged
2010-09-21 15:05 cth103 Target Version 3.0-beta1 => 3.X
2010-12-11 20:55 cth103 Assigned To cth103 =>